=== modified file 'NEWS'
--- NEWS	2010-03-30 04:09:15 +0000
+++ NEWS	2010-04-01 00:40:31 +0000
@@ -187,6 +187,9 @@
   better with sudo.
   (Parth Malwankar, #376388)
 
+* Use first apparent author not committer in GNU Changelog format.
+  (Martin von Gagern, #513322)
+
 API Changes
 ***********
 

=== modified file 'bzrlib/log.py'
--- bzrlib/log.py	2010-03-31 00:42:26 +0000
+++ bzrlib/log.py	2010-04-01 00:40:31 +0000
@@ -1683,7 +1683,7 @@
                                self.show_timezone,
                                date_fmt='%Y-%m-%d',
                                show_offset=False)
-        committer_str = revision.rev.committer.replace (' <', '  <')
+        committer_str = revision.rev.get_apparent_authors()[0].replace (' <', '  <')
         to_file.write('%s  %s\n\n' % (date_str,committer_str))
 
         if revision.delta is not None and revision.delta.has_changed():

=== modified file 'bzrlib/tests/test_log.py'
--- bzrlib/tests/test_log.py	2010-02-23 07:43:11 +0000
+++ bzrlib/tests/test_log.py	2010-03-25 08:14:04 +0000
@@ -877,6 +877,43 @@
             formatter_kwargs=dict(levels=0))
 
 
+class TestGnuChangelogFormatter(TestCaseForLogFormatter):
+
+    def test_gnu_changelog(self):
+        wt = self.make_standard_commit('nicky', authors=[])
+        self.assertFormatterResult('''\
+2005-11-22  Lorem Ipsum  <test@example.com>
+
+\tadd a
+
+''',
+            wt.branch, log.GnuChangelogLogFormatter)
+
+    def test_with_authors(self):
+        wt = self.make_standard_commit('nicky',
+            authors=['Fooa Fooz <foo@example.com>',
+                     'Bari Baro <bar@example.com>'])
+        self.assertFormatterResult('''\
+2005-11-22  Fooa Fooz  <foo@example.com>
+
+\tadd a
+
+''',
+            wt.branch, log.GnuChangelogLogFormatter)
+
+    def test_verbose(self):
+        wt = self.make_standard_commit('nicky')
+        self.assertFormatterResult('''\
+2005-11-22  John Doe  <jdoe@example.com>
+
+\t* a:
+
+\tadd a
+
+''',
+            wt.branch, log.GnuChangelogLogFormatter,
+            show_log_kwargs=dict(verbose=True))
+
 class TestGetViewRevisions(tests.TestCaseWithTransport, TestLogMixin):
 
     def _get_view_revisions(self, *args, **kwargs):

